Researcher Euclie:
Earlier, the Gatekeepers from the Ivory Tower stopped by for an investigation, and they said the land near the tower was twisted and torn... that's why the teleport spell wouldn't work. It's probably a defense mechanism made by the tower's architects, something like a preventive measure to stop intruders from mobilizing large armies.
The only way to get around inside the tower is via Dimensional Vortexes. I don't know exactly how they work, but you can move to a desired area if you have relevant Dimensional Stone. So, if you wanted to go to the Upper Level then you need a Red Dimensional Stone. If you wish to go to the Lower Level, you need a Green Dimensional Stone.
The demons also know how to use Dimensional Vortexes already - they're collecting Dimensional Stones from the tower, probably to prevent the other from travelling around. You need to kill the demons and loot their belongings if you're after Dimensional Stone. Good Luck...! Survive!
Return